<%@ page language="java" contentType="text/html; charset=utf-8"
	pageEncoding="utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link type="text/css" rel="stylesheet" href="css/material-icons.css" />
    <link type="text/css" rel="stylesheet" href="css/materialize.min.css" media="screen,projection" />
    <link type="text/css" rel="stylesheet" href="css/style.min.css" media="screen,projection" />
    <link rel="icon" href="img/favicon.ico" />
    <title>Accueil - Microfolie Lens</title>
</head>

<body class="grey lighten-3">
	<s:url var="inscriptionurl" action="gotoinscription"/>
    <s:url var="abonnesurl" action="gotoabonnes"/>
	<s:url var="settingsurl" action="gotosettings"/>
    <!-- Header -->
    <header class="navbar-fixed">
        <nav class="red">
            <div class="nav-wrapper">
                <a href="./" class="brand-logo center mtop-half hide-on-med-and-down"><img src="img/logo.png"
                        title="Logo Microfolie" class="responsive-img" style="max-width: 128px;" /></a>
                <a href="./" class="brand-logo center hide-on-large-only">Microfolie Lens</a>
                <a href="#!" data-target="mobile-nav" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                <div class="left mleft-2 hide-on-med-and-down">
                    <a href="./">
                        <h5>Microfolie Lens</h5>
                    </a>
                </div>
                <ul class="right mright-2 hide-on-med-and-down">
                    <li><a href="${abonnesurl}">Abonn&eacute;s</a></li>
                    <li><a href="${inscriptionurl}">Inscription</a></li>
                    <li><a href="${settingsurl}">Param&eacute;trage espace</a></li>
                </ul>
            </div>
        </nav>
    </header>
    <!-- Header Mobile -->
    <ul class="sidenav" id="mobile-nav">
        <li class="center-align mtop-1">
            <img src="img/logo.png" title="Logo Microfolie" class="responsive-img" style="max-height: 150px;" />
        </li>
        <li class="center-align">
            <h4>Microfolie Lens</h4>
            <hr />
        </li>
        <li><a href="${abonnesurl}">Abonn&eacute;s</a></li>
        <li><a href="${inscriptionurl}">Inscription</a></li>
        <li><a href="${settingurl}">Param&eacute;trage espace</a></li>
    </ul>
    <div class="mtop-5 hide-on-med-and-down"></div>

    <!-- Main -->
    <main class="container">
        <div class="row">
            <div class="col s12 center-align">
                <h3>Dashboard</h3>
            </div>
        </div>
        <div class="row">
            <div class="col m12 l6">
                <canvas id="espaceToday"></canvas>
            </div>
            <div class="col m12 l6">
                <canvas id="espaceMonth"></canvas>
            </div>
        </div>
        <div class="row mtop-2">
            <div class="col m12 l6">
                <canvas id="freqWeek"></canvas>
            </div>
            <div class="col m12 l6">
                <canvas id="freqHours"></canvas>
            </div>
        </div>
    </main>

    <!-- Footer -->
    <footer class="page-footer red">
        <div class="container">
            <div class="row">
                <div class="col l6 s12">
                    <h5 class="white-text">Microfolie Lens</h5>
                    <p class="grey-text text-lighten-4">Bla bla bla ...</p>
                </div>
                <div class="col l4 offset-l2 s12">
                    <h5 class="white-text">Liens utiles</h5>
                    <ul>
                        <li><a class="grey-text text-lighten-3" href="./">Accueil</a></li>
                        <li><a class="grey-text text-lighten-3" href="#apropos">Qui somme nous</a></li>
                        <li><a class="grey-text text-lighten-3" href="#mention">Mentions l&eacute;gales</a></li>
                        <li><a class="grey-text text-lighten-3" href="#contact">Contact</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright">
            <div class="container">
                © 2019 Copyright Text
                <a class="grey-text text-lighten-4 right" href="https://villedelens.fr" target="_blank">Ville de
                    Lens</a>
            </div>
        </div>
    </footer>

    <!-- Script -->
    <script type="text/javascript" src="js/jquery.min.js"></script>
    <script type="text/javascript" src="js/materialize.min.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
    <!-- Script pour cette page-->
    <script type="text/javascript" src="js/chart.min.js"></script>
    <script type="text/javascript" src="js/generate-chart.js"></script>
    <script type="text/javascript">
        $(document).ready(() => {
            generateBarChart(
                document.getElementById('espaceToday'),
                'Fréquentation des espaces aujourd\'hui',
                ["Accueil", "Realite Virtuelle", "Musee Numerique", "Cyber Base", "Shooting Photo", "Jeux Videos", "Espace Scenique"],
                [{
                    title: 'Actuel',
                    value: [60, 46, 30, 28, 22, 35, 9],
                    color: { r: 255, g: 99, b: 132 }
                },
                {
                    title: 'Moyenne 2019',
                    value: [88, 42, 21, 34, 19, 38, 11],
                    color: { r: 235, g: 192, b: 52 }
                }]
            );
            generateBarChart(
                document.getElementById('espaceMonth'),
                'Fréquentation des espaces ce mois-ci',
                ["Accueil", "Realite Virtuelle", "Musee Numerique", "Cyber Base", "Shooting Photo", "Jeux Videos", "Espace Scenique"],
                [{
                    title: 'Actuel',
                    value: [260, 146, 90, 128, 112, 235, 109],
                    color: { r: 255, g: 99, b: 132 }
                },
                {
                    title: 'Moyenne 2019',
                    value: [260, 142, 157, 132, 101, 191, 118],
                    color: { r: 235, g: 192, b: 52 }
                }]
            );
            generateBarChart(
                document.getElementById('freqWeek'),
                'Fréquentation par jours',
                ["Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"],
                [{
                    title: 'Actuel',
                    value: [60, 46, 30, 28, 22]
                },
                {
                    title: 'Moyenne 2019',
                    value: [88, 42, 21, 34, 19],
                    line: true
                }]
            );
            generateBarChart(
                document.getElementById('freqHours'),
                'Fréquentation par heures',
                ["09H00-11H00", "11H00-13H00", "13H00-15H00", "15H00-17H00", "17H00-19H00"],
                [{
                    title: 'Actuel',
                    value: [10, 8, 4, 20, 12],
                },
                {
                    title: 'Moyenne 2019',
                    value: [14, 6, 5, 18, 14],
                    line: true
                }]
            );
        });
    </script>
</body>

</html>