<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link type="text/css" rel="stylesheet" href="css/material-icons.css" />
    <link type="text/css" rel="stylesheet" href="css/materialize.min.css" media="screen,projection" />
    <link type="text/css" rel="stylesheet" href="css/style.min.css" media="screen,projection" />
    <link rel="icon" href="img/favicon.ico" />
    <title>Inscription - Microfolie Lens</title>
    <s:head />
</head>

<body class="grey lighten-3">
	<s:url var="inscriptionurl" action="gotoinscription"/>
	<s:url var="abonnesurl" action="gotoabonnes"/>
	<s:url var="settingsurl" action="gotosettings"/>
    <!-- Header -->
    <header class="navbar-fixed">
        <nav class="red">
            <div class="nav-wrapper">
                <a href="./" class="brand-logo center mtop-half hide-on-med-and-down"><img src="img/logo.png"
                        title="Logo Microfolie" class="responsive-img" style="max-width: 128px;" /></a>
                <a href="./" class="brand-logo center hide-on-large-only">Microfolie Lens</a>
                <a href="#!" data-target="mobile-nav" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                <div class="left mleft-2 hide-on-med-and-down">
                    <a href="./">
                        <h5>Microfolie Lens</h5>
                    </a>
                </div>
                <ul class="right mright-2 hide-on-med-and-down">
                    <li><a href="${abonnesurl}">Abonn&eacute;s</a></li>
                    <li class="active"><a href="#">Inscription</a></li>
                    <li><a href="${settingsurl}">Param&eacute;trage espace</a></li>
                </ul>
            </div>
        </nav>
    </header>
    <!-- Header Mobile -->
    <ul class="sidenav" id="mobile-nav">
        <li class="center-align mtop-1">
            <img src="img/logo.png" title="Logo Microfolie" class="responsive-img" style="max-height: 150px;" />
        </li>
        <li class="center-align">
            <h4>Microfolie Lens</h4>
            <hr />
        </li>
        <li><a href="${abonnesurl}">Abonn&eacute;s</a></li>
        <li class="active"><a href="#">Inscription</a></li>
        <li><a href="${settingsurl}">Param&eacute;trage espace</a></li>
    </ul>
    <div class="mtop-5 hide-on-med-and-down"></div>

    <!-- Main -->
    <main class="container">
        <div class="row">
            <div class="col s12 center-align">
                <h3>Inscription</h3>
            </div>
        </div>
        <div class="row">
        	<s:debug />
            <s:form action="inscription" validate="true" class="col s12">
                <div class="row">
                    <div class="input-field col m6 s12">
                    	<i class="material-icons prefix">person</i>
                        <s:textfield id="pnom" name="prenom" label="Prenom*" class="validate" required="required" />
                        <label for="pnom">Pr&eacute;nom*</label>
                        <span class="helper-text"></span>
                        <s:fielderror fieldName="prenom" class="field-error hide" />
                    </div>
                    <div class="input-field col m6 s12">
                    	<i class="material-icons prefix">account_circle</i>
                        <s:textfield id="nom" name="nom" label="Nom*" class="validate" required="required" />
                        <label for="nom">Nom*</label>
                        <span class="helper-text"></span>
                        <s:fielderror fieldName="nom" class="field-error hide" />
                    </div>
                </div>
                <div class="row">
                    <div class="input-field col m6 s12">
                    	<i class="material-icons prefix">wc</i>
                        <s:select id="genre" nom="genre" label="Genre*" list="getGenres()" required="required" />
                        <label for="genre">Genre*</label>
                        <span class="helper-text"></span>
                        <s:fielderror fieldName="genre" class="field-error hide" />
                    </div>
                    <div class="input-field col m6 s12">
                        <i class="material-icons prefix">cake</i>
                        <input id="naissance" type="text" class="datepicker">
                        <label for="naissance">Date de naissance*</label>
                    </div>
                </div>
                <div class="row">
                    <div class="input-field col m6 s12">
                        <i class="material-icons prefix">location_city</i>
                        <input id="ville" type="text" class="validate">
                        <label for="ville">Ville*</label>
                    </div>
                    <div class="input-field col m6 s12">
                        <i class="material-icons prefix">work</i>
                        <input id="situation" type="text" class="validate">
                        <label for="situation">Situation*</label>
                    </div>
                </div>
                <div class="row">
                    <div class="input-field col m6 s12">
                        <i class="material-icons prefix">email</i>
                        <input id="email" type="email" class="validate">
                        <label for="email">Email*</label>
                        <span class="helper-text" data-error="L'email est invalide" data-success=""></span>
                    </div>
                    <div class="input-field col m6 s12">
                        <i class="material-icons prefix">local_phone</i>
                        <input id="tel" type="tel" class="validate">
                        <label for="tel">T&eacute;l&eacute;phone*</label>
                    </div>
                </div>
                <div class="row">
                    <div class="input-field col m6 s12">
                        <i class="material-icons prefix">healing</i>
                        <input id="urgence" type="text" class="validate">
                        <label for="urgence">Contact d'urgence*</label>
                    </div>
                    <div class="file-field input-field col m6 s12">
                        <div class="waves-effect waves-light btn red">
                            <i class="material-icons">cloud_upload</i>
                            <input id="pj" type="file">
                        </div>
                        <div class="file-path-wrapper">
                            <input class="file-path validate" type="text" placeholder="Pi&egrave;ce jointe">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col s12 center-align">
                    	<s:submit class="btn waves-effect waves-light btn red" value="Valider" />
                    </div>
                </div>
            </s:form>
        </div>
    </main>

    <!-- Footer -->
    <footer class="page-footer red">
        <div class="container">
            <div class="row">
                <div class="col l6 s12">
                    <h5 class="white-text">Microfolie Lens</h5>
                    <p class="grey-text text-lighten-4">Bla bla bla ...</p>
                </div>
                <div class="col l4 offset-l2 s12">
                    <h5 class="white-text">Liens utiles</h5>
                    <ul>
                        <li><a class="grey-text text-lighten-3" href="./">Accueil</a></li>
                        <li><a class="grey-text text-lighten-3" href="#apropos">Qui somme nous</a></li>
                        <li><a class="grey-text text-lighten-3" href="#mention">Mentions l&eacute;gales</a></li>
                        <li><a class="grey-text text-lighten-3" href="#contact">Contact</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright">
            <div class="container">
                © 2019 Copyright Text
                <a class="grey-text text-lighten-4 right" href="https://villedelens.fr" target="_blank">Ville de
                    Lens</a>
            </div>
        </div>
    </footer>

    <!-- Script -->
    <script type="text/javascript" src="js/jquery.min.js"></script>
    <script type="text/javascript" src="js/materialize.min.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
</body>

</html>