<%@ page language="java" contentType="text/html; charset=utf-8"
	pageEncoding="utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link type="text/css" rel="stylesheet" href="<c:url value="/css/material-icons.css"/>" />
    <link type="text/css" rel="stylesheet" href="<c:url value="/css/materialize.min.css"/>" media="screen,projection" />
    <link type="text/css" rel="stylesheet" href="<c:url value="/css/style.min.css"/>" media="screen,projection" />
    <link rel="icon" href="../img/favicon.ico" />
    <title>Paramétrage - Microfolie Lens</title>
</head>

<body class="grey lighten-3">
	<s:url var="inscriptionurl" action="gotoinscription"/>
    <s:url var="abonnesurl" action="gotoabonnes"/>
	<s:url var="settingsurl" action="gotosettings"/>
    <!-- Header -->
    <header class="navbar-fixed">
        <nav class="red">
            <div class="nav-wrapper">
                <a href="<c:url value="/"/>" class="brand-logo center mtop-half hide-on-med-and-down"><img src="<c:url value="/img/logo.png"/>"
                        title="Logo Microfolie" class="responsive-img" style="max-width: 128px;" /></a>
                <a href="<c:url value="/"/>" class="brand-logo center hide-on-large-only">Microfolie Lens</a>
                <a href="#!" data-target="mobile-nav" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                <div class="left mleft-2 hide-on-med-and-down">
                    <a href="<c:url value="/"/>">
                        <h5>Microfolie Lens</h5>
                    </a>
                </div>
                <ul class="right mright-2 hide-on-med-and-down">
                    <li><a href="${abonnesurl}">Abonn&eacute;s</a></li>
                    <li><a href="${inscriptionurl}">Inscription</a></li>
                    <li class="active"><a href="#">Param&eacute;trage espace</a></li>
                </ul>
            </div>
        </nav>
    </header>
    <!-- Header Mobile -->
    <ul class="sidenav" id="mobile-nav">
        <li class="center-align mtop-1">
            <img src="../img/logo.png" title="Logo Microfolie" class="responsive-img" style="max-height: 150px;" />
        </li>
        <li class="center-align">
            <h4>Microfolie Lens</h4>
            <hr />
        </li>
        <li><a href="${abonnesurl}">Abonn&eacute;s</a></li>
        <li><a href="${inscriptionurl}">Inscription</a></li>
        <li class="active"><a href="#">Param&eacute;trage espace</a></li>
    </ul>
    <div class="mtop-5 hide-on-med-and-down"></div>

    <!-- Main -->
    <main class="container">
        <div class="row">
            <div class="col s12 center-align">
                <h3>Param&eacute;trage</h3>
            </div>
        </div>
        <div class="row center-align">
            <div class="col l4 m6 s12">
                <a href="<c:url value="/settings/configure?espace=accueil"/>" class="waves-effect waves-light btn-large red">Accueil</a>
            </div>
            <div class="col l4 m6 s12">
                <a href="<c:url value="/settings/configure?espace=imprimante3D"/>" class="waves-effect waves-light btn-large red">Imprimante 3D</a>
            </div>
            <div class="col l4 m6 s12">
                <a href="<c:url value="/settings/configure?espace=jeux-video"/>" class="waves-effect waves-light btn-large red">Jeux vid&eacute;os</a>
            </div>
        </div>
    </main>

    <!-- Footer -->
    <footer class="page-footer red">
        <div class="container">
            <div class="row">
                <div class="col l6 s12">
                    <h5 class="white-text">Microfolie Lens</h5>
                    <p class="grey-text text-lighten-4">Bla bla bla ...</p>
                </div>
                <div class="col l4 offset-l2 s12">
                    <h5 class="white-text">Liens utiles</h5>
                    <ul>
                        <li><a class="grey-text text-lighten-3" href="../">Accueil</a></li>
                        <li><a class="grey-text text-lighten-3" href="#apropos">Qui somme nous</a></li>
                        <li><a class="grey-text text-lighten-3" href="#mention">Mentions l&eacute;gales</a></li>
                        <li><a class="grey-text text-lighten-3" href="#contact">Contact</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright">
            <div class="container">
                © 2019 Copyright Text
                <a class="grey-text text-lighten-4 right" href="https://villedelens.fr" target="_blank">Ville de
                    Lens</a>
            </div>
        </div>
    </footer>

    <!-- Script -->
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/materialize.min.js"></script>
    <script type="text/javascript" src="../js/script.js"></script>
</body>

</html>