package microfolie.entry.servlet;

import java.io.IOException;
import java.lang.reflect.Field;
import java.sql.ResultSet;
import java.util.List;
import java.util.Optional;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import db.Database;
import db.DatabaseManager;
import db.annotation.DbTable;
import microfolie.persistance.entity.Ecole;
import microfolie.persistance.entity.Espace;
import microfolie.persistance.entity.Usager;
import microfolie.persistance.entity.Ville;
import microfolie.persistance.table.EcoleTable;
import microfolie.persistance.table.EspaceTable;
import microfolie.persistance.table.UsagerTable;
import microfolie.persistance.table.VilleTable;

/**
 * Servlet implementation class TestDb
 */
@WebServlet("/TestDb")
public class TestDb extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public TestDb() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {		
		EcoleTable et = EcoleTable.getInstance();
		List<Ecole> le = et.getAll();
		System.out.println("---------------------");
		le.forEach(elt -> System.out.println(elt.libelle + " " + elt.ville + " " + elt.niveau));
		
		Ecole e = et.findById(1).get();
		e.libelle = "Lycée " + e.libelle;
		e.ville.libelle = "Maison";
		et.save(e);
		
		et = EcoleTable.getInstance();
		le = et.getAll();
		System.out.println("---------------------");
		le.forEach(elt -> System.out.println(elt.libelle + " " + elt.ville + " " + elt.niveau));
		
		VilleTable vt = VilleTable.getInstance();
		Ville v = vt.getById(1);
		System.out.println("---------------------");
		System.out.println(v.libelle);
		
		UsagerTable ut = UsagerTable.getInstance();
		Usager u = ut.getById(1);
		System.out.println("---------------------");
		System.out.println(u.prenom);
		System.out.println(u.ville);
		System.out.println(u.ecole);
		
		e = et.getById(3);
		e.ville = null;
		System.out.println("---------------------");
		System.out.println(e);
		et.save(e);
		le = et.getAll();
		le.forEach(elt -> System.out.println(elt.libelle + " " + elt.ville + " " + elt.niveau));
		
		e.ville = et.getById(2).ville;
		et.save(e);
		System.out.println("---------------------");
		le = et.getAll();
		le.forEach(elt -> System.out.println(elt));
		
		Ecole nou = new Ecole();
		nou.libelle = "Pixel";
		nou.ville = new Ville();
		nou.ville.libelle = "SPAAAACE";
		nou.ville.cp = "12345";
		et.save(nou);
		System.out.println("---------------------");
		le = et.getAll();
		le.forEach(elt -> System.out.println(elt));
		
		et.del(e);
		System.out.println("---------------------");
		le = et.getAll();
		le.forEach(elt -> System.out.println(elt));
		
		response.getWriter().append("Served at: ").append(request.getContextPath());
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}
